Filter by Space Name Should Accomodate Name Rules

Bug #1856537 reported by Joseph Phillips on 2019-12-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju
High
Joseph Phillips
2.7
Critical
Joseph Phillips

Bug Description

It appears that recent networking changes have broken space name rules.

Scenario from:
https://discourse.jujucharms.com/t/maas-space-case-sensitivity-error/2452

2019-12-13 21:50:05 DEBUG juju.network network.go:517 addresses after filtering: [local-cloud:X.X.X.X@UF(id:3)]
2019-12-13 21:50:05 DEBUG juju.state spacesdiscovery.go:170 Adding space mgmt from provider 2
2019-12-13 21:50:05 DEBUG juju.state spacesdiscovery.go:170 Adding space uf from provider 3
2019-12-13 21:50:05 DEBUG juju.state spacesdiscovery.go:170 Adding space docker from provider 1
2019-12-13 21:50:05 DEBUG juju.state open.go:180 closed state without error
ERROR space with name “UF” not found
2019-12-13 21:50:05 DEBUG cmd supercommand.go:519 error stack:
/workspace/_build/src/github.com/juju/juju/core/network/address.go:391: space with name “UF” not found

We massage discovered spaces to comply with space name rules in the `names` package, which means converting them to lower case, however there are places where we compare names coming directly from the provider without making this conversion, as demonstrated in the filtering error above.

We need to ensure consistent handling of names, including for user-defined names in AWS and others.

Changed in juju:
status: New → Triaged
importance: Undecided → High
milestone: none → 2.8-beta1
Changed in juju:
assignee: nobody → Joseph Phillips (manadart)
status: Triaged → In Progress
Joseph Phillips (manadart) wrote :

Patch for fixing the upgrade step.

Joseph Phillips (manadart) wrote :

And the fix for the instance poller:
https://github.com/juju/juju/pull/11170

Changed in juju:
status: In Progress → Fix Committed
Harry Pidcock (hpidcock) on 2020-06-04
Changed in juju:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers